HTTP API
Tournament
GET/api/v1/tournaments
Authorization
bearer_token AuthorizationBearer <token>
In: header
Query Parameters
q?string
page?integer
Format
int64Range
0 <= valuepage_size?integer
Format
int64Range
0 <= valuesort_by?string
sort_order?string
Value in
- "asc"
- "desc"
filter?array<string>
status?string
Response Body
application/json
curl -X GET "https://example.com/api/v1/tournaments"{ "pagination": { "has_more": true, "page": 0, "page_size": 0, "total": 0 }, "tournaments": [ { "_relations": { "property1": { "has_more": true, "returned": 0, "total": 0 }, "property2": { "has_more": true, "returned": 0, "total": 0 } }, "check_in_duration_minutes": 0, "created_at": "2019-08-24T14:15:22Z", "format": "single_elimination", "id": "string", "matches": [ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "match_number": 0, "participant1_id": "string", "participant2_id": "string", "round_number": 0, "score": "string", "status": "pending", "tournament_id": "string", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string" } ], "max_participants": 0, "name": "string", "participants": [ { "checked_in": true, "current_losses": 0, "current_wins": 0, "eliminated": true, "id": "string", "registered_at": "2019-08-24T14:15:22Z", "seed_rank": 0, "tournament_id": "string", "user_id": "string" } ], "start_time": "2019-08-24T14:15:22Z", "status": "draft", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string" } ]}POST/api/v1/tournaments
Authorization
bearer_token AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/tournaments" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "tournament_type": "string" }'{ "_relations": { "property1": { "has_more": true, "returned": 0, "total": 0 }, "property2": { "has_more": true, "returned": 0, "total": 0 } }, "check_in_duration_minutes": 0, "created_at": "2019-08-24T14:15:22Z", "format": "single_elimination", "id": "string", "matches": [ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "match_number": 0, "participant1_id": "string", "participant2_id": "string", "round_number": 0, "score": "string", "status": "pending", "tournament_id": "string", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string" } ], "max_participants": 0, "name": "string", "participants": [ { "checked_in": true, "current_losses": 0, "current_wins": 0, "eliminated": true, "id": "string", "registered_at": "2019-08-24T14:15:22Z", "seed_rank": 0, "tournament_id": "string", "user_id": "string" } ], "start_time": "2019-08-24T14:15:22Z", "status": "draft", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string"}GET/api/v1/tournaments/{tournament_id}
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
tournament_id*string
Tournament ID
Query Parameters
include?string
Response Body
application/json
curl -X GET "https://example.com/api/v1/tournaments/string"{ "_relations": { "property1": { "has_more": true, "returned": 0, "total": 0 }, "property2": { "has_more": true, "returned": 0, "total": 0 } }, "check_in_duration_minutes": 0, "created_at": "2019-08-24T14:15:22Z", "format": "single_elimination", "id": "string", "matches": [ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "match_number": 0, "participant1_id": "string", "participant2_id": "string", "round_number": 0, "score": "string", "status": "pending", "tournament_id": "string", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string" } ], "max_participants": 0, "name": "string", "participants": [ { "checked_in": true, "current_losses": 0, "current_wins": 0, "eliminated": true, "id": "string", "registered_at": "2019-08-24T14:15:22Z", "seed_rank": 0, "tournament_id": "string", "user_id": "string" } ], "start_time": "2019-08-24T14:15:22Z", "status": "draft", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string"}POST/api/v1/tournaments/{tournament_id}/complete
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
tournament_id*string
Tournament ID
Response Body
application/json
curl -X POST "https://example.com/api/v1/tournaments/string/complete"{ "_relations": { "property1": { "has_more": true, "returned": 0, "total": 0 }, "property2": { "has_more": true, "returned": 0, "total": 0 } }, "check_in_duration_minutes": 0, "created_at": "2019-08-24T14:15:22Z", "format": "single_elimination", "id": "string", "matches": [ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "match_number": 0, "participant1_id": "string", "participant2_id": "string", "round_number": 0, "score": "string", "status": "pending", "tournament_id": "string", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string" } ], "max_participants": 0, "name": "string", "participants": [ { "checked_in": true, "current_losses": 0, "current_wins": 0, "eliminated": true, "id": "string", "registered_at": "2019-08-24T14:15:22Z", "seed_rank": 0, "tournament_id": "string", "user_id": "string" } ], "start_time": "2019-08-24T14:15:22Z", "status": "draft", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string"}GET/api/v1/tournaments/{tournament_id}/matches
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
tournament_id*string
Tournament ID
Response Body
application/json
curl -X GET "https://example.com/api/v1/tournaments/string/matches"[ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "match_number": 0, "participant1_id": "string", "participant2_id": "string", "round_number": 0, "score": "string", "status": "pending", "tournament_id": "string", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string" }]POST/api/v1/tournaments/{tournament_id}/matches/{match_id}/report
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
tournament_id*string
Tournament ID
match_id*string
Match ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/tournaments/string/matches/string/report" \ -H "Content-Type: application/json" \ -d '{ "score": "string", "winner_id": "string" }'{ "created_at": "2019-08-24T14:15:22Z", "id": "string", "match_number": 0, "participant1_id": "string", "participant2_id": "string", "round_number": 0, "score": "string", "status": "pending", "tournament_id": "string", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string"}GET/api/v1/tournaments/{tournament_id}/participants
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
tournament_id*string
Tournament ID
Response Body
application/json
curl -X GET "https://example.com/api/v1/tournaments/string/participants"[ { "checked_in": true, "current_losses": 0, "current_wins": 0, "eliminated": true, "id": "string", "registered_at": "2019-08-24T14:15:22Z", "seed_rank": 0, "tournament_id": "string", "user_id": "string" }]POST/api/v1/tournaments/{tournament_id}/participants
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
tournament_id*string
Tournament ID
Response Body
application/json
curl -X POST "https://example.com/api/v1/tournaments/string/participants"{ "checked_in": true, "current_losses": 0, "current_wins": 0, "eliminated": true, "id": "string", "registered_at": "2019-08-24T14:15:22Z", "seed_rank": 0, "tournament_id": "string", "user_id": "string"}GET/api/v1/tournaments/{tournament_id}/standings
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
tournament_id*string
Tournament ID
Response Body
application/json
curl -X GET "https://example.com/api/v1/tournaments/string/standings"{ "standings": [ { "losses": 0, "participant_id": "string", "points": 0.1, "rank": 0, "user_id": "string", "wins": 0 } ], "tournament_id": "string"}POST/api/v1/tournaments/{tournament_id}/start
Authorization
bearer_token AuthorizationBearer <token>
In: header
Path Parameters
tournament_id*string
Tournament ID
Response Body
application/json
curl -X POST "https://example.com/api/v1/tournaments/string/start"[ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "match_number": 0, "participant1_id": "string", "participant2_id": "string", "round_number": 0, "score": "string", "status": "pending", "tournament_id": "string", "updated_at": "2019-08-24T14:15:22Z", "winner_id": "string" }]